Skip to main content
GET
/
workspaces
/
{workspaceSlug}
/
boards
/
{boardSlug}
Get board by slug
curl --request GET \
  --url https://kan.bn/api/v1/workspaces/{workspaceSlug}/boards/{boardSlug}
import requests

url = "https://kan.bn/api/v1/workspaces/{workspaceSlug}/boards/{boardSlug}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://kan.bn/api/v1/workspaces/{workspaceSlug}/boards/{boardSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "publicId": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "visibility": "<string>",
  "workspace": {
    "publicId": "<string>",
    "name": "<string>",
    "slug": "<string>"
  },
  "labels": [
    {
      "publicId": "<string>",
      "name": "<string>",
      "colourCode": "<string>"
    }
  ],
  "lists": [
    {
      "publicId": "<string>",
      "name": "<string>",
      "index": 123,
      "cards": [
        {
          "publicId": "<string>",
          "title": "<string>",
          "description": "<string>",
          "index": 123,
          "dueDate": "<string>",
          "labels": [
            {
              "publicId": "<string>",
              "name": "<string>",
              "colourCode": "<string>"
            }
          ],
          "attachments": [
            {
              "publicId": "<string>"
            }
          ],
          "checklists": [
            {
              "publicId": "<string>",
              "name": "<string>",
              "index": 123,
              "items": [
                {
                  "publicId": "<string>",
                  "title": "<string>",
                  "completed": true,
                  "index": 123
                }
              ]
            }
          ],
          "comments": [
            {
              "publicId": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "allLists": [
    {
      "publicId": "<string>",
      "name": "<string>"
    }
  ]
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Path Parameters

workspaceSlug
string
required
Required string length: 3 - 64
Pattern: ^(?![-]+$)[a-zA-Z0-9-]+$
boardSlug
string
required
Required string length: 3 - 60
Pattern: ^(?![-]+$)[a-zA-Z0-9-]+$

Query Parameters

members
string[]
Minimum string length: 12
labels
string[]
Minimum string length: 12
lists
string[]
Minimum string length: 12
dueDateFilters
enum<string>[]
Available options:
overdue,
today,
tomorrow,
next-week,
next-month,
no-due-date

Response

object | null

Successful response

publicId
string
required
name
string
required
slug
string
required
visibility
string
required
workspace
object
required
labels
object[]
required
lists
object[]
required
allLists
object[]
required